## gimppaletteselect

gimppaletteselect — Functions providing a palette selection dialog.

## Functions

void | (*GimpRunPaletteCallback) ()
const gchar * | gimp_palette_select_new ()
void | gimp_palette_select_destroy ()
gboolean | gimp_palettes_popup ()
gboolean | gimp_palettes_close_popup ()
gboolean | gimp_palettes_set_popup ()

## Description

Functions providing a palette selection dialog.

## Functions

### GimpRunPaletteCallback ()

    void
    (*GimpRunPaletteCallback) (const gchar *palette_name,
                               gboolean dialog_closing,
                               gpointer user_data);

### gimp_palette_select_new ()

    const gchar *
    gimp_palette_select_new (const gchar *title,
                             const gchar *palette_name,
                             GimpRunPaletteCallback callback,
                             gpointer data);

### gimp_palette_select_destroy ()

    void
    gimp_palette_select_destroy (const gchar *palette_callback);

### gimp_palettes_popup ()

    gboolean
    gimp_palettes_popup (const gchar *palette_callback,
                         const gchar *popup_title,
                         const gchar *initial_palette);

Invokes the Gimp palette selection.

This procedure opens the palette selection dialog.

#### Parameters

palette_callback | The callback PDB proc to call when palette selection is made. |
popup_title | Title of the palette selection dialog. |
initial_palette | The name of the palette to set as the first selected. |

#### Returns

TRUE on success.

### gimp_palettes_close_popup ()

    gboolean
    gimp_palettes_close_popup (const gchar *palette_callback);

Close the palette selection dialog.

This procedure closes an opened palette selection dialog.

#### Parameters

palette_callback | The name of the callback registered for this pop-up. |

#### Returns

TRUE on success.

### gimp_palettes_set_popup ()

    gboolean
    gimp_palettes_set_popup (const gchar *palette_callback,
                             const gchar *palette_name);

Sets the current palette in a palette selection dialog.

Sets the current palette in a palette selection dialog.

#### Parameters

palette_callback | The name of the callback registered for this pop-up. |
palette_name | The name of the palette to set as selected. |

#### Returns

TRUE on success.

## Types and Values